Bug 118769 - Impress & Draw: Menu can be opened twice. Close app, one Menu is left open, click 'Ok', Crash
Summary: Impress & Draw: Menu can be opened twice. Close app, one Menu is left open, c...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.1 rc
Hardware: All All
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-07-15 08:36 UTC by Mike
Modified: 2018-07-17 17:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["sd::SimpleReferenceComponent::Dispose()","SfxItemSet::SfxItemSet(SfxItemSet const &)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike 2018-07-15 08:36:21 UTC
Description:
Written for Impress, but you can also apply this report to Draw!

If you open the window 'Zoom & View Layout' in Impress, you can click on the main window and open a second  window 'Zoom & View Layout'. If you then close the Impress main window, one  'Zoom & View Layout' window is left. If click Ok there, you get a crash.


Steps to Reproduce:
1. Open Impress
2. Close Template window
3. Click on Zoom level (bottom right corner)
-> Window 'Zoom & View Layout' opens
4. Click on Impress main window
5. Click again on Zoom level
-> second 'Zoom & View Layout' window opens
6. Close Impress main window
->One 'Zoom & View Layout' window is left
7. Click on Ok or Cancel
-> Crash


Actual Results:
It is possible, to leave window 'Zoom & View Layout' without closing it.


Expected Results:
'Zoom & View Layout' window has to be closed before opening an new menu in Impress



Reproducible: Always


User Profile Reset: No



Additional Info:
a) It's a regression:
Happens with 6.1RC1 and 6.2alpha

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 4b7ce45c2384fdd65c17ab18036899cd76577254
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-07-14_01:26:50
Locale: de-DE (de_DE); Calc: group threaded
but NOT with 
Version: 6.0.5.2 (x64)
Build ID: 54c8cbb85f300ac59db32fe8a675ff7683cd5a16
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: CL

b) Happens in safe mode

c) When I played around with 114781, I stumbled upon it: 
https://bugs.documentfoundation.org/show_bug.cgi?id=114781


crashreport.libreoffice.org/stats/crash_details/b6469794-0b45-4ec0-b421-8f3ecb29b741
crashreport.libreoffice.org/stats/crash_details/b8869ae6-24fb-4310-86b5-078f3b4020b1
Comment 1 Xisco Faulí 2018-07-15 10:08:38 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b16eb0d91f204823339a78b353dc8097aa8f7e56

author	Caolán McNamara <caolanm@redhat.com>	2018-03-30 14:59:24 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-03-30 21:45:40 +0200
commit	b16eb0d91f204823339a78b353dc8097aa8f7e56 (patch)
tree	66378df0402f80e0d38ec096d490326c02cb74da
parent	1fe4a1a76da8fd3c196ccd9529b01ee093516b25 (diff)
weld SvxZoomDialog

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2018-07-16 11:01:02 UTC
parent of dialog is unset
Comment 3 Commit Notification 2018-07-16 12:43:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=802afa88a85c32bd3a4a56fdc55971bab3f02a25

tdf#118769 parent of modal dialog not set

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2018-07-16 12:46:01 UTC
backport to 6-1 in gerrit
Comment 5 Commit Notification 2018-07-16 15:31:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4cf90e58fe2319a2017e51499817d0866829bd28&h=libreoffice-6-1

tdf#118769 parent of modal dialog not set

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-07-17 17:46:23 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: f543b6a0ac6cf30922c1a1ae9bfce1d605f1d4f1
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Caolán, Thanks for fixing this!!